"""
@author Vitaliy Bohera
@email vitaliyb@students.zcu.cz
@version 1
@task Zadani cislo 15 - Implementace znalostniho systemu pro pripravu vecere (pokrm Kung-pao)
@info Komunikacni modul znalostniho systemu pro pripravu Kung-pao
@date 15.12.2023
"""
import znalosti


'''
Vypis hlavicky znalostniho systemu
'''
def uvod_do_systemu():
    print("Vítejte ve znalostním systému pro přípravu pokrmu Kung-pao.\n")


'''
Funkce se zepta uzivatele, zda ma k dispozici surovinu
@param surovina - surovina na kterou se ptame
@return zprava - vstup od uzivatele (ano/ne)
'''
def zeptej_se_na_surovinu(surovina):
    pad = znalosti.get_4pad_suroviny(surovina)
    zprava = input("Máte k dispozici {0}? ANO/NE: ".format(pad))
    return zprava


'''
Funkce se zepta uzivatele, zda ma k dispozici nahradu
@param nahrada - nahrada na kterou se ptame
@return zprava - vstup od uzivatele (ano/ne)
'''
def zeptej_se_na_nahradu(nahrada):
    pad_nahrada = znalosti.get_4pad_nahrady(nahrada)
    zprava = input("Máte k dispozici {0}? ANO/NE: ".format(pad_nahrada))
    return zprava


'''
Funkce se zepta uzivatele zda chce zobrazit recept na pripravu Kung-pao
@return vraci True po stisknuti klavesy ENTER
'''
def zeptej_se_na_recept():
    input("Návod na přípravu Kung-pao se zobrazí po stisknutí klávesy ENTER>")
    return True


'''
Funkce vypise do konzole navod na pripravu Kung-pao
'''
def zobraz_recept():
    print("1) Kuřecí maso nakrájené na kousky ochuťte solí, bílým pepřem, špetkou cukru a obalte je ve "
          "škrobu. Maso smažte v rozpálené wok pánvi ve vysoké vrstvě oleje do křupava a poté nechte okapat na "
          "papírových utěrkách.\n"
          "2) Arašídy usmažte zvlášť ve vysoké vrstvě oleje a nechte je stranou okapat.\n"
          "3) V misce smíchejte sójovu omáčku, cukr a pepř. Výslednou omáčku nechte zatím stranou.\n"
          "4) V čisté wok pánvi rozpalte trochu oleje a krátce orestujte nakrájený česnek a zázvor. Přidejte osmažené "
          "kuřecí maso, jarní cibulku, pepř, chilli papričky a arašídy. Krátce zarestujte a zalijte připravenou "
          "omáčkou. Zhruba na půl minuty zavařte a zahustěte dle potřeby škrobem rozpuštěným ve studené "
          "vodě.\n"
          "5) Kung-pao podávejte s přílohou dle chuti.\n")


'''
Funkce pro vypsani hlasky uzivateli, kdyz zadanej vstup nevyhovuje formatu
'''
def spatny_vstup():
    print("Špatný formát zprávy!!! Použivejte prosím jenom volby ANO/NE!\n")

