"""
@author Vitaliy Bohera
@email vitaliyb@students.zcu.cz
@version 1
@task Zadani cislo 15 - Implementace znalostniho systemu pro pripravu vecere (pokrm Kung-pao)
@info Baze dat znalostniho systemu pro pripravu Kung-pao
@date 15.12.2023
"""


# nazvy jednotlivych surovin
kureci_maso = "kuřecí maso"
jarni_cibulka = "jarní cibulka"
chilli = "chilli papričky"
arasidy = "arašídy"
cesnek = "česnek"
zazvor = "zázvor"
skrob = "škrob"
sojova_omacka = "sójová omáčka"
olej = "olej"
cukr = "cukr"
pepr = "pepř"
sul = "sůl"


# seznam vsech potrebnych surovin
suroviny = [kureci_maso, jarni_cibulka, chilli, arasidy,
            sojova_omacka, cesnek, zazvor, skrob,
            olej, cukr, pepr, sul]


# slovnik obsahujici 4.pady jednotlivych surovin
suroviny_4pad = {kureci_maso: "kuřecí maso",
                 jarni_cibulka: "jarní cibulku",
                 chilli: "chilli papričky",
                 arasidy: "arašídy",
                 cesnek: "česnek",
                 zazvor: "zázvor",
                 skrob: "škrob",
                 sojova_omacka: "sójovu omáčku",
                 olej: "olej",
                 cukr: "cukr",
                 pepr: "pepř",
                 sul: "sůl"}


# slovnik, kde pro kazdou surovinu jsou nadefinovany jeji nahrady, pokud zadnou nema -> prislusi ji prazdny retezec
nahrady = {kureci_maso: "",
           jarni_cibulka: "porek",
           chilli: "paprika",
           arasidy: "vlašské ořechy",
           cesnek: "šarlotka",
           zazvor: "koriandr",
           skrob: "hladká mouka",
           sojova_omacka: "tamari omáčka",
           olej: "máslo",
           cukr: "med",
           pepr: "",
           sul: ""}


# slovnik obsahujici 4.pady jednotlivych nahrad
nahrady_4pad = {"porek": "porek",
                "paprika": "papriku",
                "vlašské ořechy": "vlašské ořechy",
                "šarlotka": "šarlotku",
                "koriandr": "koriandr",
                "hladká mouka": "hladkou mouku",
                "tamari omáčka": "tamari omáčku",
                "máslo": "máslo",
                "med": "med"}


# slovnik obsahujici 7.pady jednotlivych nahrad
nahrady_7pad = {"porek": "porkem",
                "paprika": "paprikou",
                "vlašské ořechy": "vlašskými ořechy",
                "šarlotka": "šarlotkou",
                "koriandr": "koriandrem",
                "hladká mouka": "hladkou moukou",
                "tamari omáčka": "tamari omáčkou",
                "máslo": "máslem",
                "med": "medem"}


# nazvy jednotlivych obchodu
kaufland = "Kaufland"
lidl = "Lidl"
penny = "Penny"


# slovnik obsahujici 6.pady jednotlivych obchodu
obchody_pad = {kaufland: "Kauflandu",
               lidl: "Lidlu",
               penny: "Penny"}


# slovnik, kde pro kazdy obchod jsou nadefinovany seznamy surovin, ktere jsou v danem obchode k dispozici
suroviny_v_obchodech = {kaufland: [kureci_maso, arasidy, skrob, cukr],
                        lidl: [jarni_cibulka, cesnek, sojova_omacka, pepr],
                        penny: [chilli, zazvor, olej, sul]}


# seznam kam budeme pridavat suroviny, ktere ma uzivatel k dispozici
suroviny_uzivatele = []

# seznam kam budeme pridavat nahrady za jednotlive suroviny, ktere ma uzivatel k dispozici
nahrady_uzivatele = []

# slovnik, kam budeme pridavat suroviny ktere potrebuje uzivatel dokoupit v jednotlivych obchodech
dokoupit_v_obchode = {kaufland: [],
                      lidl: [],
                      penny: []}
