"""
Autor: Matěj Vohradský (vohry8@students.zcu.cz)
Datum: 2023-12-05
Program: Baze dat
Verze: 1.0.0
"""

# zadane reseni pro sude ctverce
sude = {
"4": ["4", [["1", "1"], ["2", "2"], ["3", "3"], ["4", "4"], ["2", "3"], ["1", "4"], ["4", "1"], ["3", "2"], ["3", "4"], ["4", "3"], ["1", "2"], ["2", "1"], ["4", "2"], ["3", "1"], ["2", "4"], ["1", "3"]]],
"8": ["8", [["1", "1"], ["2", "2"], ["3", "3"], ["4", "4"], ["5", "5"], ["6", "6"], ["7", "7"], ["8", "8"], ["2", "3"], ["1", "4"], ["4", "1"], ["3", "2"], ["8", "7"], ["7", "8"], ["6", "5"], ["5", "6"], ["3", "8"], ["5", "1"], ["2", "5"], ["6", "7"], ["1", "2"], ["8", "3"], ["4", "6"], ["7", "4"], ["5", "4"], ["3", "7"], ["1", "6"], ["7", "3"], ["2", "8"], ["4", "5"], ["8", "2"], ["6", "1"], ["8", "6"], ["4", "8"], ["7", "2"], ["1", "5"], ["6", "4"], ["3", "1"], ["5", "3"], ["2", "7"], ["4", "7"], ["8", "5"], ["6", "8"], ["2", "6"], ["7", "1"], ["5", "2"], ["3", "4"], ["1", "3"], ["7", "5"], ["6", "3"], ["5", "7"], ["8", "1"], ["3", "6"], ["2", "4"], ["1", "8"], ["4", "2"], ["6", "2"], ["7", "6"], ["8", "4"], ["5", "8"], ["4", "3"], ["1", "7"], ["2", "1"], ["3", "5"]]],
"10": ["10", [["1", "1"], ["2", "2"], ["4", "3"], ["8", "4"], ["3", "5"], ["7", "6"], ["9", "7"], ["6", "8"], ["5", "9"], ["10", "10"], ["10", "6"], ["8", "1"], ["3", "8"], ["1", "9"], ["9", "2"], ["6", "5"], ["5", "4"], ["7", "3"], ["4", "10"], ["2", "7"], ["4", "5"], ["5", "8"], ["6", "4"], ["2", "6"], ["10", "7"], ["3", "1"], ["7", "10"], ["9", "9"], ["8", "3"], ["1", "2"], ["9", "4"], ["7", "9"], ["5", "7"], ["4", "1"], ["6", "10"], ["10", "3"], ["1", "8"], ["2", "5"], ["3", "2"], ["8", "6"], ["2", "10"], ["3", "3"], ["10", "9"], ["5", "2"], ["4", "6"], ["9", "8"], ["8", "5"], ["1", "4"], ["6", "7"], ["7", "1"], ["6", "2"], ["1", "10"], ["9", "6"], ["3", "7"], ["8", "9"], ["4", "4"], ["2", "3"], ["10", "1"], ["7", "8"], ["5", "5"], ["3", "9"], ["9", "5"], ["2", "1"], ["6", "3"], ["7", "4"], ["5", "10"], ["10", "2"], ["8", "7"], ["1", "6"], ["4", "8"], ["5", "3"], ["10", "4"], ["8", "10"], ["7", "5"], ["2", "8"], ["1", "7"], ["3", "6"], ["4", "2"], ["9", "1"], ["6", "9"], ["8", "8"], ["4", "7"], ["7", "2"], ["9", "10"], ["1", "3"], ["2", "9"], ["6", "1"], ["5", "6"], ["10", "5"], ["3", "4"], ["7", "7"], ["6", "6"], ["1", "5"], ["10", "8"], ["5", "1"], ["8", "2"], ["4", "9"], ["3", "10"], ["2", "4"], ["9", "3"]]]
}

# Struktura pro uchovani dat ve tvaru: nazev: [velikost, [ctverec]]
ctverce = {
"test1": ["3", [["3", "2"], ["2", "1"], ["1", "3"], ["1", "1"], ["3", "3"], ["2", "2"], ["2", "3"], ["1", "2"], ["3", "1"]]],
"test2": ["4", [["1", "1"], ["2", "2"], ["3", "3"], ["4", "4"], ["2", "3"], ["1", "4"], ["4", "1"], ["3", "2"], ["3", "4"], ["4", "3"], ["1", "2"], ["2", "1"], ["4", "2"], ["3", "1"], ["2", "4"], ["1", "3"]]],
"novy_ctverec": ["5", [["4", "3"], ["2", "1"], ["1", "5"], ["5", "4"], ["3", "2"], ["3", "1"], ["1", "4"], ["5", "3"], ["4", "2"], ["2", "5"], ["1", "2"], ["4", "5"], ["3", "4"], ["2", "3"], ["5", "1"], ["2", "4"], ["5", "2"], ["4", "1"], ["3", "5"], ["1", "3"], ["5", "5"], ["3", "3"], ["2", "2"], ["1", "1"], ["4", "4"]]],
"druhy_ctverec": ["8", [["1", "1"], ["2", "2"], ["5", "5"], ["4", "4"], ["3", "3"], ["6", "6"], ["7", "7"], ["8", "8"], ["8", "6"], ["4", "8"], ["6", "4"], ["1", "5"], ["7", "2"], ["3", "1"], ["5", "3"], ["2", "7"], ["3", "8"], ["5", "1"], ["1", "2"], ["6", "7"], ["2", "5"], ["8", "3"], ["4", "6"], ["7", "4"], ["5", "4"], ["3", "7"], ["2", "8"], ["7", "3"], ["1", "6"], ["4", "5"], ["8", "2"], ["6", "1"], ["2", "3"], ["1", "4"], ["8", "7"], ["3", "2"], ["4", "1"], ["7", "8"], ["6", "5"], ["5", "6"], ["4", "7"], ["8", "5"], ["7", "1"], ["2", "6"], ["6", "8"], ["5", "2"], ["3", "4"], ["1", "3"], ["7", "5"], ["6", "3"], ["3", "6"], ["8", "1"], ["5", "7"], ["2", "4"], ["1", "8"], ["4", "2"], ["6", "2"], ["7", "6"], ["4", "3"], ["5", "8"], ["8", "4"], ["1", "7"], ["2", "1"], ["3", "5"]]]
}
