"""
Autor: Matěj Vohradský (vohry8@students.zcu.cz)
Datum: 2023-12-05
Program: Komunikacni modul
Verze: 1.0.0
"""


# vyzada uzivatele o zadani zpravy
def vstup():
    zprava = input("Zadej zprávu (pro nápovědu stiskni enter)\n> ")
    print()
    return zprava


# vypise spatny format zpravy
def spatny_vstup():
    print("Špatný formát zprávy.\n")


# vypise spatny format nazvu
def spatny_vstup_nazev():
    print("Špatný formát názvu. Název zadejte bez mezer\n")


# vyzada o novy nazev ctverce
def vstup_novy_nazev():
    rozhodnuti = input("Nelze uložit čtverec bez názvu, prosím zadejte nový název čtverce bez mezer"
                       " (pro ukončení akce stiskněte ENTER):\n> ")
    print()
    return rozhodnuti


# zepta se, zda ma prepsat ctverec
def vstup_ulozeni(nazev):
    rozhodnuti = input("Čtverec s názvem \"" + nazev + "\" již existuje, chcete jej přepsat [A/N]:\n> ")
    print()
    return rozhodnuti


# vypise odpoved na prikaz
def odpoved(text):
    print(text)


# vypise prikazy pro menu
def vypis_menu():
    print("      Seznam dostupných zpráv        |  volání zpráv\n"
          "-----------------------------------------------------------\n"
          "  Vytvořit nový čtverec              |  1 <velikost>\n"
          "  Vypsat názvy existujících čtverců  |  2\n"
          "  Načte existující čtverec           |  3 <název_čtverce>\n"
          "  Odstranit existující čtverec       |  4 <název_čtverce>\n"
          "  Ukončit program                    |  k\n")


# vypise prikazy pro ctverec
def vypis_ctverec():
    print("  Seznam dostupných zpráv  |  volání zpráv\n"
          "-----------------------------------------------------------------\n"
          "  Vypsat název čtverce     |  1\n"
          "  Změnit název čtverce     |  2 <nový_název>\n"
          "  Vypsat velikost čtverce  |  3\n"
          "  Prohodit sloupce         |  4 <číslo_sloupce> <číslo_sloupce>\n"
          "  Prohodit řádky           |  5 <číslo_řádku> <číslo_řádku>\n"
          "  Uložit čtverec           |  6\n"
          "  Ukončit režim čtverce    |  k\n")


# vypise uvod do menu
def vypis_uvod():
    print("Vítejte ve hlavním menu znalostního systému pro práci s ortogonálními latinskými čtverci\n"
          "Pro komunikaci se znalostním systémem prosím používejte pouze uvedené typy zpráv\n"
          "========================================================================================\n")


# vypise uvod do ctverce
def vypis_uvod_ctverec():
    print("Nyní se nacházíte v režimu práce se čtvercem\n"
          "Pro komunikaci s tímto režimem prosím používejte pouze uvedené typy zpráv\n"
          "==========================================================================\n")


# vypise konec
def vypis_konec():
    input("Konec programu")
